# Class Regulation

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Regulation

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class Regulation extends Marker
Regulatory elements

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`Regulation()`
`Regulation(Marker parent, int start, int end, boolean strandMinus, String id, String name, String regulationType)`

## Method Summary

Modifier and Type
Method
Description
`Regulation`
`cloneShallow()`
Perform a shallow clone
`String`
`getName()`
`String`
`getRegulationType()`
`void`
`serializeParse(MarkerSerializer markerSerializer)`
Parse a line from a serialized file
`String`
`serializeSave(MarkerSerializer markerSerializer)`
Create a string to serialize to a file
`String`
`toString()`
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, shouldApply, union, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Regulation

public Regulation()

### Regulation

public Regulation(Marker parent, int start, int end, boolean strandMinus, String id, String name, String regulationType)

## Method Details

### cloneShallow

public Regulation cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Marker`

### getName

public String getName()

### getRegulationType

public String getRegulationType()

### serializeParse

public void serializeParse(MarkerSerializer markerSerializer)
Parse a line from a serialized file

Specified by:
  `serializeParse` in interface `TxtSerializable`
Overrides:
  `serializeParse` in class `Marker`

### serializeSave

public String serializeSave(MarkerSerializer markerSerializer)
Create a string to serialize to a file

Specified by:
  `serializeSave` in interface `TxtSerializable`
Overrides:
  `serializeSave` in class `Marker`
Returns:

### toString

public String toString()

Overrides:
  `toString` in class `Marker`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`